1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Graphics 560TI Issues

Discussion in 'Hardware' started by matt_lumley, 7 Oct 2011.

  1. matt_lumley

    matt_lumley You're only supposed to...

    Joined:
    28 Apr 2010
    Posts:
    1,000
    Likes Received:
    31
    Hey guys,

    when i try and load the BF3 Beta on my rig (in sig) it says my 560TI drivers are at version 280.26 and the minimum version to play it on is 285.27 or similar.

    Checking the nvidia website shows that 285.27 are beta drivers? Is that correct that i have to have beta drivers to play BF3?

    Help :)

    Matt
     
  2. driftingphil

    driftingphil New Member

    Joined:
    17 May 2009
    Posts:
    52
    Likes Received:
    0
    Not sure if you definelty need them or not but you might aswell go ahead and just downloaded them so that you have them.

    •Increases performance for GeForce 400 and 500-series GPUs in several PC games vs. v280.26 WHQL drivers. The following are some examples of improvements measured on Windows 7. Results will vary depending on your GPU and system configuration:

    285.27

    http://www.nvidia.com/object/win7-winvista-64bit-285.27-beta-driver.html

    This is the recommended GeForce driver for the beta release of Battlefield 3.

    Check here to see if your PC is ready for Battlefield 3.

    New in Release 285.38

    •Increases performance in Battlefield 3 by up to 38%i.
    •Improves overall stability and image quality in Battlefield 3.
    •Added or updated SLI profiles for Battlefield 3, Dead Island, Diablo III, Dragon Age 2, Need for Speed: The Run, and Saints Row: The Third.
    •Fixed a performance regression in 285.27 beta running Crysis 2 (DirectX 9).


    285.38 - BETA 26th Sept

    http://www.geforce.com/Drivers/Results/38172
     
    Last edited: 7 Oct 2011
  3. Jeevus

    Jeevus Member

    Joined:
    6 Sep 2009
    Posts:
    168
    Likes Received:
    8
    Yes you need those beta drivers. I have a similar rig and the game prompted me to get the drivers before I could even start playing.
     
  4. matt_lumley

    matt_lumley You're only supposed to...

    Joined:
    28 Apr 2010
    Posts:
    1,000
    Likes Received:
    31
    Cheers, just downloaded and installed them, will give it a shot now!
     
  5. jizwizard

    jizwizard Well-Known Member

    Joined:
    24 Dec 2010
    Posts:
    1,904
    Likes Received:
    135
    you dont need the beta drivers what so ever.when it promps you for them just close it. ive been trying some old drivers and the highest frame rate i got was from drivers released in april this year, cant remember the version, but even though i got high frames it seemed a bit stuttery so just using the beta ones now.
     
    Jeevus likes this.
  6. matt_lumley

    matt_lumley You're only supposed to...

    Joined:
    28 Apr 2010
    Posts:
    1,000
    Likes Received:
    31
    Just played on the beta ones, got fraps installed, can anyone tell me how to use it, i have opened fraps, then launched the game and pressed f11 and nothing happens :(

    Any ideas?
     
  7. jizwizard

    jizwizard Well-Known Member

    Joined:
    24 Dec 2010
    Posts:
    1,904
    Likes Received:
    135
    just make sure fraps is open it should display frame count by default in the top left corner
     
  8. Jeevus

    Jeevus Member

    Joined:
    6 Sep 2009
    Posts:
    168
    Likes Received:
    8
    My bad, I just presumed it needed them. I didn't want to mess with it before I even got to play a game, however it didn't turn out that way!
     

Share This Page